Name:		cdemu-client
Version:	3.0.4
Summary:	Command-line client for controlling CDEmu daemon
Release:	%mkrel 1
Group:		Emulators
License:	GPLv2+
URL:		http://cdemu.sourceforge.net/
Source:		http://downloads.sourceforge.net/cdemu/%{name}-%{version}.tar.bz2
Patch0:		cdemu-client-3.0.1-fix-install.patch
BuildArch:	noarch
BuildRequires:	python
BuildRequires:	intltool
BuildRequires:	glib-gettextize
BuildRequires:	cmake
Requires:	python-dbus
Requires:	cdemu-daemon >= %{version}

%description
This is cdemu-client, a simple command-line client for controlling
CDEmu daemon. It is part of the userspace-cdemu suite, a free, GPL
CD/DVD-ROM device emulator for linux.

It provides a way to perform the key tasks related to controlling
the CDEmu daemon, such as loading and unloading devices, displaying
devices' status and retrieving/setting devices' debug masks.

%prep
%setup -q
%autopatch -p1

%build
%cmake
%make_build

%install
%make_install -C build

%find_lang cdemu

%files -f cdemu.lang
%doc README AUTHORS ChangeLog
%license COPYING
%{_sysconfdir}/bash_completion.d/cdemu-bash-completion.sh
%{_bindir}/cdemu
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/cdemu-client.svg
%{_mandir}/man1/cdemu.1*


%changelog
* Sat Nov 12 2016 daviddavid <daviddavid> 3.0.4-1.mga6
+ Revision: 1066722
- new version: 3.0.4

* Sun Oct 09 2016 daviddavid <daviddavid> 3.0.1-1.mga6
+ Revision: 1059787
- new version: 3.0.1
- make it noarch thus really fixing empty debuginfo
- update files list

* Thu Feb 11 2016 umeabot <umeabot> 2.1.1-5.mga6
+ Revision: 953563
- Mageia 6 Mass Rebuild

* Wed Sep 09 2015 neoclust <neoclust> 2.1.1-4.mga6
+ Revision: 874989
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 2.1.1-3.mga5
+ Revision: 739261
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.1-2.mga5
+ Revision: 678331
- Mageia 5 Mass Rebuild

* Sun Feb 23 2014 anssi <anssi> 2.1.1-1.mga5
+ Revision: 596048
- new version 2.1.1

* Fri Oct 18 2013 umeabot <umeabot> 2.0.0-3.mga4
+ Revision: 503303
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.0.0-2.mga3
+ Revision: 347497
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 28 2012 mitya <mitya> 2.0.0-1.mga3
+ Revision: 335794
- New version 2.0.0

* Tue Mar 06 2012 anssi <anssi> 1.5.0-1.mga2
+ Revision: 220432
- new version 1.5.0
- update file lists for .desktop file and bash-completion

* Sat Dec 03 2011 anssi <anssi> 1.4.0-1.mga2
+ Revision: 175739
- new version
- update filelist

* Mon Jan 17 2011 pterjan <pterjan> 1.3.0-4.mga1
+ Revision: 21328
- Rebuild for python 2.7

* Sat Jan 15 2011 anssi <anssi> 1.3.0-3.mga1
+ Revision: 19664
- imported package cdemu-client

